xen-pciback.hide bug report: parse error in current xen-4.1-stable.hg

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

xen-pciback.hide bug report: parse error in current xen-4.1-stable.hg

Mark van Dijk-4
Hello everyone,

Said Xen version running on kernel 3.3.4 x86_64.

I had put in Grub's "module /vmlinuz.gz" line:

xen_pciback.hide=(02:10.0)(02:10.2)(etc.)

This yields an error in dmesg:

xen_pciback: Unknown parameter `2)'

I tried all sorts of variations: quoting the pci devices, prefixing
the devices with an extra 0000:, putting the thing somewhere else. But
the error keeps returning.

I am working around this by having added the hide option in a
modules.conf entry.

For further contact please be aware I am not receiving xen-devel
emails, so please include me in CC's when more info is required.

Thank you,
Mark

_______________________________________________
Xen-devel mailing list
[hidden email]
http://lists.xen.org/xen-devel
Reply | Threaded
Open this post in threaded view
|

Re: xen-pciback.hide bug report: parse error in current xen-4.1-stable.hg

Sander Eikelenboom
Hello Mark,

Saturday, May 12, 2012, 4:16:45 AM, you wrote:

> Hello everyone,

> Said Xen version running on kernel 3.3.4 x86_64.

> I had put in Grub's "module /vmlinuz.gz" line:

> xen_pciback.hide=(02:10.0)(02:10.2)(etc.)

Should be xen-pciback.hide (not a underscore)

--
Sander


> This yields an error in dmesg:

> xen_pciback: Unknown parameter `2)'

> I tried all sorts of variations: quoting the pci devices, prefixing
> the devices with an extra 0000:, putting the thing somewhere else. But
> the error keeps returning.

> I am working around this by having added the hide option in a
> modules.conf entry.

> For further contact please be aware I am not receiving xen-devel
> emails, so please include me in CC's when more info is required.

> Thank you,
> Mark





--
Best regards,
 Sander                            mailto:[hidden email]


_______________________________________________
Xen-devel mailing list
[hidden email]
http://lists.xen.org/xen-devel
Reply | Threaded
Open this post in threaded view
|

Re: xen-pciback.hide bug report: parse error in current xen-4.1-stable.hg

Pasi Kärkkäinen
On Sat, May 12, 2012 at 09:20:04AM +0200, Sander Eikelenboom wrote:

> Hello Mark,
>
> Saturday, May 12, 2012, 4:16:45 AM, you wrote:
>
> > Hello everyone,
>
> > Said Xen version running on kernel 3.3.4 x86_64.
>
> > I had put in Grub's "module /vmlinuz.gz" line:
>
> > xen_pciback.hide=(02:10.0)(02:10.2)(etc.)
>
> Should be xen-pciback.hide (not a underscore)
>

Yep. Also the subject is misleading because this is a
*Linux* dom0 kernel configuration issue, not xen-4.1-testing.hg issue.

-- Pasi


> --
> Sander
>
>
> > This yields an error in dmesg:
>
> > xen_pciback: Unknown parameter `2)'
>
> > I tried all sorts of variations: quoting the pci devices, prefixing
> > the devices with an extra 0000:, putting the thing somewhere else. But
> > the error keeps returning.
>
> > I am working around this by having added the hide option in a
> > modules.conf entry.
>
> > For further contact please be aware I am not receiving xen-devel
> > emails, so please include me in CC's when more info is required.
>
> > Thank you,
> > Mark
>
>
>
>
>
> --
> Best regards,
>  Sander                            mailto:[hidden email]
>
>
> _______________________________________________
> Xen-devel mailing list
> [hidden email]
> http://lists.xen.org/xen-devel

_______________________________________________
Xen-devel mailing list
[hidden email]
http://lists.xen.org/xen-devel
Reply | Threaded
Open this post in threaded view
|

Re: xen-pciback.hide bug report: parse error in current xen-4.1-stable.hg

Sander Eikelenboom
In reply to this post by Sander Eikelenboom
Hello Internecto,

Saturday, May 12, 2012, 12:55:06 PM, you wrote:

> On Sat, 12 May 2012 09:20:04 +0200
> Sander Eikelenboom <[hidden email]> wrote:

>> Hello Mark,

> Hi Sander,

>>
>> Saturday, May 12, 2012, 4:16:45 AM, you wrote:
>>
>> > Hello everyone,
>>
>> > Said Xen version running on kernel 3.3.4 x86_64.
>>
>> > I had put in Grub's "module /vmlinuz.gz" line:
>>
>> > xen_pciback.hide=(02:10.0)(02:10.2)(etc.)
>>
>> Should be xen-pciback.hide (not a underscore)

> Thanks for the suggestion, but unfortunately this makes no difference...
> I still get the same error. Also, I think both are allowed, the actual
> name of the module is xen_pciback and I think kmod considers both - and
> _ to be equally valid..

You have compiled xen-pciback as a module, perhaps you could try to compile it in the kernel to rule out problems with module loading ?
It works for me (tm), could you also give the complete grub lines ?
--
Sander



> Mark




--
Best regards,
 Sander                            mailto:[hidden email]


_______________________________________________
Xen-devel mailing list
[hidden email]
http://lists.xen.org/xen-devel